package seng302;

import javafx.scene.paint.Color;
import seng302.Model.BoatInRace;

/**
 * Constants that are used throughout the program
 * Created by Erika on 19-Mar-17.
 * @deprecated please use XML for constant data
 */
public class Constants {

    public static final int NMToMetersConversion = 1852; // 1 nautical mile = 1852 meters

    public static final GPSCoordinate startLineMarker1 = new GPSCoordinate(32.296577, -64.854304);
    public static final GPSCoordinate startLineMarker2 = new GPSCoordinate(32.293771, -64.855242);
    public static final GPSCoordinate mark1 = new GPSCoordinate(32.293039, -64.843983);
    public static final GPSCoordinate windwardGate1 = new GPSCoordinate(32.284680, -64.850045);
    public static final GPSCoordinate windwardGate2 = new GPSCoordinate(32.280164, -64.847591);
    public static final GPSCoordinate leewardGate1 = new GPSCoordinate(32.309693, -64.835249);
    public static final GPSCoordinate leewardGate2 = new GPSCoordinate(32.308046, -64.831785);
    public static final GPSCoordinate finishLineMarker1 = new GPSCoordinate(32.317379, -64.839291);
    public static final GPSCoordinate finishLineMarker2 = new GPSCoordinate(32.317257, -64.836260);

    public static final double wakeScale = 10;

    public static final BoatInRace[] OFFICIAL_AC35_COMPETITORS = new BoatInRace[]
            {new BoatInRace("Oracle Team USA", 30.0, Color.BLUEVIOLET, "Oracle"),
                    new BoatInRace("Land Rover BAR", 23.0, Color.BLACK, "BGR"),
                    new BoatInRace("SoftBank Team Japan", 27.0, Color.RED, "JPN"),
                    new BoatInRace("Groupama Team France", 25.0, Color.ORANGE, "FRA"),
                    new BoatInRace("Artemis Racing", 22.5, Color.DARKOLIVEGREEN, "SWE"),
                    new BoatInRace("Emirates Team New Zealand", 62, Color.LIMEGREEN, "ETNZ")};
}
